FilterCollector (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.collector.FilterCollector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping.collector
Class FilterCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.solr.search.grouping.collector.FilterCollector

    public class FilterCollector

extends Collector

A collector that filters incoming doc ids that are not in the filter.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`FilterCollector(DocSet filter, Collector delegate)`

Method Summary
`boolean` | `acceptsDocsOutOfOrder()`
`void` | `collect(int doc)`
`Collector` | `getDelegate()` Returns the delegate collector
`int` | `getMatches()`
`void` | `setNextReader(IndexReader indexReader, int docBase)`
`void` | `setScorer(Scorer scorer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterCollector

    public FilterCollector(DocSet filter,
                           Collector delegate)
                    throws IOException

Throws:
  `IOException`

Method Detail

### setScorer

    public void setScorer(Scorer scorer)
                   throws IOException

  Specified by:
    `setScorer` in class `Collector`
  Throws:
    `IOException`

### collect

    public void collect(int doc)
                 throws IOException

  Specified by:
    `collect` in class `Collector`
  Throws:
    `IOException`

### setNextReader

    public void setNextReader(IndexReader indexReader,
                              int docBase)
                       throws IOException

  Specified by:
    `setNextReader` in class `Collector`
  Throws:
    `IOException`

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `Collector`

### getMatches

    public int getMatches()

### getDelegate

    public Collector getDelegate()

  Returns the delegate collector

  Returns:
    the delegate collector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD